=== debian/changelog ===
cvise (1.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Apr 2020 16:53:49 +0200
