## cvise 1.4.0

=== debian/changelog ===
cvise (1.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Jun 2020 13:57:40 +0200
