=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
   flex,
   python3,
   python3-pebble,
+  python3-psutil,
   python3-pytest,
   llvm-10-dev, libclang-10-dev, clang-10, clang-format-10,
   unifdef,
@@ -22,6 +23,7 @@
   clang-format-10,
   python3,
   python3-pebble,
+  python3-psutil,
   unifdef,
 Description: super-parallel Python port of the C-Reduce project
  C-Vise is a tool that takes a large C, C++ or OpenCL program that has
