=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,6 @@
 
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 	if which help2man >/dev/null 2>&1; then \
-	  DESTDIR=$(CURDIR)/debian/cvise \
-	  PYTHONPATH=$(CURDIR)/debian/cvise/usr/share \
 	  help2man --name='super-parallel Python port of the C-Reduce project' \
 	    --version-string=$(V) \
 	    --no-info \
