## cvise 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,16 @@
   ERROR_VARIABLE  PEBBLE_error
   RESULT_VARIABLE PEBBLE_result)
 if(NOT ${PEBBLE_result} EQUAL 0)
-  message(SEND_ERROR "Pebble package not available: ${PEBBLE_error}")
+  message(WARNING "Pebble package not available: ${PEBBLE_error}")
+endif()
+
+# Locate psutil
+execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import psutil"
+  OUTPUT_VARIABLE PSUTIL_output
+  ERROR_VARIABLE  PSUTIL_error
+  RESULT_VARIABLE PSUTIL_result)
+if(NOT ${PSUTIL_result} EQUAL 0)
+  message(WARNING "psutil package not available: ${PSUTIL_error}")
 endif()
 
 # Locate flex.  Do this here because we need the package definitions in the
@@ -79,7 +88,7 @@
 # `git archive' inserts the abbreviated hash of the archive's commit into this
 # file.  (See the `.gitattributes' file.)
 #
-set(GIT_HASH "e8d954e")
+set(GIT_HASH "c1ebd48")
 if(GIT_HASH MATCHES "^\\$")
   ## METHOD 2: The source tree is a git repository.
   get_git_head_revision(GIT_REFSPEC GIT_HASH)
@@ -113,11 +122,12 @@
 set(cvise_PACKAGE             "cvise")
 set(cvise_PACKAGE_BUGREPORT   "https://github.com/marxin/cvise/issues")
 set(cvise_PACKAGE_NAME        "cvise")
-set(cvise_PACKAGE_STRING      "cvise 1.1.0")
+set(cvise_PACKAGE_STRING      "cvise 1.5.0")
 set(cvise_PACKAGE_TARNAME     "cvise")
 set(cvise_PACKAGE_URL         "https://github.com/marxin/cvise/")
-set(cvise_PACKAGE_VERSION     "1.1.0")
-set(cvise_VERSION             "1.1.0")
+set(cvise_PACKAGE_VERSION     "1.5.0")
+set(cvise_VERSION             "1.5.0")
+set(cvise_LLVM_VERSION        "${LLVM_PACKAGE_VERSION}")
 
 configure_file("cmake_config.h.in" "${PROJECT_BINARY_DIR}/config.h")
 add_definitions("-DHAVE_CONFIG_H")
@@ -171,11 +181,22 @@
   @ONLY
 )
 
+configure_file(
+  "${PROJECT_SOURCE_DIR}/cvise-delta.py"
+  "${PROJECT_BINARY_DIR}/cvise-delta.py"
+  @ONLY
+)
+
 install(PROGRAMS "${PROJECT_BINARY_DIR}/cvise.py"
   DESTINATION "${CMAKE_INSTALL_BINDIR}"
   RENAME "cvise"
 )
 
+install(PROGRAMS "${PROJECT_BINARY_DIR}/cvise-delta.py"
+  DESTINATION "${CMAKE_INSTALL_BINDIR}"
+  RENAME "cvise-delta"
+)
+
 ###############################################################################
 
 ## End of file.
