=== clang_delta/CMakeLists.txt ===
--- 
+++ 
@@ -78,6 +78,13 @@
   "/tests/empty-struct-to-int/test2.output"
   "/tests/empty-struct-to-int/test3.c"
   "/tests/empty-struct-to-int/test3.output"
+  "/tests/instantiate-template-param/default_param.cc"
+  "/tests/instantiate-template-param/default_param.output"
+  "/tests/instantiate-template-param/test1.cc"
+  "/tests/instantiate-template-param/test1.output"
+  "/tests/instantiate-template-param/test2.cc"
+  "/tests/instantiate-template-param/test2.output"
+  "/tests/instantiate-template-param/test3.cc"
   "/tests/local-to-global/macro.c"
   "/tests/local-to-global/macro.output"
   "/tests/local-to-global/unnamed_1.c"
@@ -92,8 +99,65 @@
   "/tests/reduce-array-dim/non-type-temp-arg.output"
   "/tests/reduce-pointer-level/scalar-init-expr.cpp"
   "/tests/reduce-pointer-level/scalar-init-expr.output"
+  "/tests/remove-namespace/macro.cpp"
+  "/tests/remove-namespace/macro.output"
+  "/tests/remove-namespace/macro.output2"
+  "/tests/remove-namespace/macro.output3"
+  "/tests/remove-namespace/macro.output4"
+  "/tests/remove-namespace/macro.output5"
+  "/tests/remove-namespace/namespace.cpp"
+  "/tests/remove-namespace/namespace.output"
+  "/tests/remove-namespace/namespace.output2"
+  "/tests/remove-namespace/namespace.output3"
+  "/tests/remove-namespace/namespace2.cpp"
+  "/tests/remove-namespace/namespace2.output"
+  "/tests/remove-namespace/namespace2.output2"
+  "/tests/remove-namespace/namespace3.cpp"
+  "/tests/remove-namespace/namespace3.output"
+  "/tests/remove-namespace/namespace3.output2"
+  "/tests/remove-namespace/namespace3.output3"
+  "/tests/remove-namespace/namespace4.cpp"
+  "/tests/remove-namespace/namespace4.output"
+  "/tests/remove-namespace/namespace5.cpp"
+  "/tests/remove-namespace/namespace5.output"
+  "/tests/remove-namespace/namespace5.output2"
+  "/tests/remove-namespace/namespace5.output3"
+  "/tests/remove-namespace/namespace5.output4"
+  "/tests/remove-namespace/namespace6.cpp"
+  "/tests/remove-namespace/namespace6.output"
+  "/tests/remove-namespace/namespace6.output2"
+  "/tests/remove-namespace/namespace7.cpp"
+  "/tests/remove-namespace/namespace7.output"
+  "/tests/remove-namespace/namespace7.output2"
+  "/tests/remove-namespace/namespace7.output3"
+  "/tests/remove-namespace/namespace8.cpp"
+  "/tests/remove-namespace/namespace8.output"
+  "/tests/remove-namespace/namespace8.output2"
+  "/tests/remove-namespace/namespace9.cpp"
+  "/tests/remove-namespace/namespace9.output"
+  "/tests/remove-namespace/namespace10.cpp"
+  "/tests/remove-namespace/namespace10.output"
+  "/tests/remove-namespace/namespace10.output2"
+  "/tests/remove-namespace/namespace11.cpp"
+  "/tests/remove-namespace/namespace11.output"
+  "/tests/remove-namespace/namespace11.output2"
+  "/tests/remove-namespace/namespace12.cpp"
+  "/tests/remove-namespace/namespace12.output"
+  "/tests/remove-namespace/namespace12.output2"
+  "/tests/remove-namespace/namespace12.output3"
+  "/tests/remove-namespace/namespace13.cpp"
+  "/tests/remove-namespace/namespace13.output"
+  "/tests/remove-namespace/namespace13.output2"
+  "/tests/remove-namespace/namespace14.cpp"
+  "/tests/remove-namespace/namespace14.output"
+  "/tests/remove-namespace/namespace15.cpp"
+  "/tests/remove-namespace/namespace15.output"
+  "/tests/remove-namespace/namespace15.output2"
+  "/tests/remove-namespace/namespace15.output3"
   "/tests/remove-enum-member-value/builtin_macro.c"
   "/tests/remove-enum-member-value/builtin_macro.output"
+  "/tests/remove-unused-enum-member/range.c"
+  "/tests/remove-unused-enum-member/range.output"
   "/tests/remove-nested-function/remove_nested_func1.cc"
   "/tests/remove-nested-function/remove_nested_func1.output"
   "/tests/remove-try-catch/try-catch-1.cpp"
@@ -118,6 +182,19 @@
   "/tests/remove-unused-field/unused_field3.output"
   "/tests/remove-unused-function/class.cc"
   "/tests/remove-unused-function/class.output"
+  "/tests/remove-unused-function/const.cc"
+  "/tests/remove-unused-function/const.output"
+  "/tests/remove-unused-function/const.output2"
+  "/tests/remove-unused-function/default.cc"
+  "/tests/remove-unused-function/default.output"
+  "/tests/remove-unused-function/default.output2"
+  "/tests/remove-unused-function/delete.cc"
+  "/tests/remove-unused-function/delete.output"
+  "/tests/remove-unused-function/delete2.cc"
+  "/tests/remove-unused-function/delete2.output"
+  "/tests/remove-unused-function/delete2.output2"
+  "/tests/remove-unused-function/delete2.output3"
+  "/tests/remove-unused-function/delete2.output4"
   "/tests/remove-unused-function/inline_ns.cc"
   "/tests/remove-unused-function/inline_ns.output"
   "/tests/remove-unused-function/macro1.cc"
@@ -198,92 +275,3 @@
   "/tests/rename-class/using1.output"
   "/tests/rename-cxx-method/overloaded.cc"
   "/tests/rename-cxx-method/overloaded.output"
-  "/tests/rename-cxx-method/test1.cc"
-  "/tests/rename-cxx-method/test1.output"
-  "/tests/rename-cxx-method/test2.cc"
-  "/tests/rename-cxx-method/test2.output"
-  "/tests/rename-cxx-method/test3.cc"
-  "/tests/rename-cxx-method/test3.output"
-  "/tests/rename-fun/func_templ.cc"
-  "/tests/rename-fun/func_templ.output"
-  "/tests/rename-fun/overloaded.cc"
-  "/tests/rename-fun/overloaded.output"
-  "/tests/rename-fun/test1.c"
-  "/tests/rename-fun/test1.output"
-  "/tests/rename-fun/multi.c"
-  "/tests/rename-fun/multi.output"
-  "/tests/rename-param/invalid.c"
-  "/tests/rename-param/invalid.output"
-  "/tests/rename-var/rename-var.c"
-  "/tests/rename-var/rename-var.output"
-  "/tests/replace-derived-class/replace-derived1.cpp"
-  "/tests/replace-derived-class/replace-derived1.output"
-  "/tests/replace-derived-class/replace-derived2.cpp"
-  "/tests/replace-derived-class/replace-derived2.output"
-  "/tests/replace-derived-class/replace-derived3.cpp"
-  "/tests/replace-derived-class/replace-derived3.output"
-  "/tests/replace-derived-class/replace-derived4.cpp"
-  "/tests/replace-derived-class/replace-derived4.output"
-  "/tests/replace-function-def-with-decl/macro1.c"
-  "/tests/replace-function-def-with-decl/macro1.output"
-  "/tests/replace-function-def-with-decl/macro2.c"
-  "/tests/replace-function-def-with-decl/macro2.output"
-  "/tests/return-void/test1.c"
-  "/tests/return-void/test1.output"
-  "/tests/return-void/test1.cc"
-  "/tests/return-void/test1.output"
-  "/tests/return-void/test2.c"
-  "/tests/return-void/test2.output"
-  "/tests/return-void/test3.c"
-  "/tests/return-void/test3.output"
-  "/tests/return-void/test4.c"
-  "/tests/return-void/test4.output"
-  "/tests/return-void/test5.c"
-  "/tests/return-void/test5.output"
-  "/tests/return-void/test6.c"
-  "/tests/return-void/test6.output"
-  "/tests/simplify-callexpr/macro.c"
-  "/tests/simplify-callexpr/macro.output"
-  "/tests/simplify-callexpr/test.c"
-  "/tests/simplify-callexpr/test.output"
-  "/tests/simplify-callexpr/test2.c"
-  "/tests/simplify-callexpr/test2.output"
-  "/tests/simplify-if/macro.c"
-  "/tests/simplify-if/macro.output"
-  "/tests/union-to-struct/union1.c"
-  "/tests/union-to-struct/union1.output"
-  "/tests/union-to-struct/union2.c"
-  "/tests/union-to-struct/union2.output"
-  "/tests/union-to-struct/union3.c"
-  "/tests/union-to-struct/union3.output"
-)
-
-foreach(file IN LISTS SOURCE_FILES)
-  configure_one_file(${file})
-endforeach()
-
-# Add flags for compiling against LLVM.
-#
-add_definitions(${LLVM_DEFINITIONS})
-set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS
-  $<$<CONFIG:Release>:NDEBUG>)
-# include_directories(${PROJECT_BINARY_DIR}) --- if we generated .h files here
-include_directories(${CMAKE_BINARY_DIR})
-include_directories(${PROJECT_SOURCE_DIR}) # needed for gen'ed .cpp files
-include_directories(${LLVM_INCLUDE_DIRS})
-include_directories(${CLANG_INCLUDE_DIRS}) # only works for LLVM post-4.0
-
-link_directories(${LLVM_LIBRARY_DIRS})
-
-# ENE: Note that LLVM_LIBS is unused.
-#
-# The CLANG_LIBS defined below depend on various LLVM libraries.  When we do
-# `target_link_libraries(clang_delta ${CLANG_LIBS})`, CMake's automatic library
-# dependency tracking adds ("is expected to add") the necessary LLVM libraries
-# and other libraries to the link set without us doing anything special.
-#
-# There are reports that this automatic tracking does not always work.  If this
-# is the case for you, you can try adding LLVM_LIBS to the invocation of
-# `target_link_libraries()` later in this file.  There are reports that
-# sometimes this doesn't solve the problem, so caveat emptor.
-#
