=== debian/changelog ===
cvise (1.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jul 2020 18:47:11 +0200
