=== debian/changelog ===
cvise (1.6.0-3~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1895971.  Backport cvise to the LTS releases.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 29 Sep 2020 16:55:47 +0200

cvise (1.6.0-3) unstable; urgency=medium

  * Pull fixes from the VCS 20200929:
    - Fix psutil core count detection code.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Sep 2020 16:37:45 +0200

cvise (1.6.0-2) unstable; urgency=medium

  * Pull fixes from the VCS 20200917:
    - Fix infinite loop in IfPass.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Sep 2020 13:42:14 +0200

cvise (1.6.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Aug 2020 13:13:22 +0200
