=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 	if which help2man >/dev/null 2>&1; then \
-	  help2man --name='super-parallel Python port of the C-Reduce project' \
+	  DESTDIR=$(CURDIR)/debian/cvise help2man --name='super-parallel Python port of the C-Reduce project' \
 	    --version-string=$(V) \
 	    --no-info \
 	    debian/cvise/usr/bin/cvise > debian/cvise.1; \
