=== debian/changelog ===
cvise (1.7.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Oct 2020 14:00:36 +0200
