=== debian/changelog ===
cvise (1.8.0-1) unstable; urgency=medium

  * New upstream version.
  * Build using LLVM 11.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Oct 2020 13:17:58 +0200
