=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 11),
   dh-python,
   chrpath,
   cmake,
@@ -12,7 +12,7 @@
   python3-pebble,
   python3-psutil,
   python3-pytest,
-  llvm-10-dev, libclang-10-dev, clang-10, clang-format-10,
+  llvm-11-dev, libclang-11-dev, clang-11, clang-format-11,
   unifdef,
 Standards-Version: 4.5.0
 Homepage: https://github.com/marxin/cvise
@@ -20,7 +20,7 @@
 Package: cvise
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
-  clang-format-10,
+  clang-format-11,
   python3,
   python3-pebble,
   python3-psutil,
