## cvise 1.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -88,7 +88,7 @@
 # `git archive' inserts the abbreviated hash of the archive's commit into this
 # file.  (See the `.gitattributes' file.)
 #
-set(GIT_HASH "07d465a")
+set(GIT_HASH "8cdd0e5")
 if(GIT_HASH MATCHES "^\\$")
   ## METHOD 2: The source tree is a git repository.
   get_git_head_revision(GIT_REFSPEC GIT_HASH)
@@ -122,11 +122,11 @@
 set(cvise_PACKAGE             "cvise")
 set(cvise_PACKAGE_BUGREPORT   "https://github.com/marxin/cvise/issues")
 set(cvise_PACKAGE_NAME        "cvise")
-set(cvise_PACKAGE_STRING      "cvise 1.8.0")
+set(cvise_PACKAGE_STRING      "cvise 1.9.0")
 set(cvise_PACKAGE_TARNAME     "cvise")
 set(cvise_PACKAGE_URL         "https://github.com/marxin/cvise/")
-set(cvise_PACKAGE_VERSION     "1.8.0")
-set(cvise_VERSION             "1.8.0")
+set(cvise_PACKAGE_VERSION     "1.9.0")
+set(cvise_VERSION             "1.9.0")
 set(cvise_LLVM_VERSION        "${LLVM_PACKAGE_VERSION}")
 
 configure_file("cmake_config.h.in" "${PROJECT_BINARY_DIR}/config.h")
@@ -190,15 +190,20 @@
 configure_file(
   "${PROJECT_SOURCE_DIR}/tests/test_cvise.py"
   "${PROJECT_BINARY_DIR}/tests/test_cvise.py"
-  @COPYONLY
+  COPYONLY
 )
 
 configure_file(
   "${PROJECT_SOURCE_DIR}/tests/sources/blocksort-part.c"
   "${PROJECT_BINARY_DIR}/tests/sources/blocksort-part.c"
-  @COPYONLY
-)
-
+  COPYONLY
+)
+
+configure_file(
+  "${PROJECT_SOURCE_DIR}/setup.cfg"
+  "${PROJECT_BINARY_DIR}/setup.cfg"
+  COPYONLY
+)
 
 install(PROGRAMS "${PROJECT_BINARY_DIR}/cvise.py"
   DESTINATION "${CMAKE_INSTALL_BINDIR}"
