=== debian/changelog ===
cvise (1.9.0-1) unstable; urgency=medium

  * New upstream version.
  * Updates up to a000f9eefce217576ac3095a443fcd9bb7b95953.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Nov 2020 12:03:35 +0100
