=== clang_delta/CMakeLists.txt ===
--- 
+++ 
@@ -34,16 +34,16 @@
   "/tests/aggregate-to-scalar/cast.output"
   "/tests/aggregate-to-scalar/test1.c"
   "/tests/aggregate-to-scalar/test1.output"
-  "/tests/aggregate-to-scalar/test1.cc"
-  "/tests/aggregate-to-scalar/test1.output"
   "/tests/aggregate-to-scalar/test2.c"
-  "/tests/aggregate-to-scalar/test2.output"
-  "/tests/aggregate-to-scalar/test2.cc"
   "/tests/aggregate-to-scalar/test2.output"
   "/tests/aggregate-to-scalar/test3.c"
   "/tests/aggregate-to-scalar/test3.output"
   "/tests/aggregate-to-scalar/test4.c"
   "/tests/aggregate-to-scalar/test4.output"
+  "/tests/aggregate-to-scalar/test5.cc"
+  "/tests/aggregate-to-scalar/test5.output"
+  "/tests/aggregate-to-scalar/test6.cc"
+  "/tests/aggregate-to-scalar/test6.output"
   "/tests/callexpr-to-value/macro1.c"
   "/tests/callexpr-to-value/macro1.output"
   "/tests/callexpr-to-value/macro2.c"
