=== debian/changelog ===
cvise (2.0.0-3) unstable; urgency=medium

  * Update to the branch 20201126.
    - Handle using declarations declared with macros.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Dec 2020 12:37:58 +0100

cvise (2.0.0-2) unstable; urgency=medium

  * New upstream version.
  * Updates up to 7c303ae036e18be10ab4014724b9e14d4a1245d6.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Nov 2020 14:09:28 +0100
