=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
   python3,
   python3-pebble,
   python3-psutil,
-  python3-pytest,
+  python3-pytest <!nocheck>,
+  python3-pytest-flake8 <!nocheck>,
   llvm-11-dev, libclang-11-dev, clang-11, clang-format-11,
   unifdef,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/marxin/cvise
 
 Package: cvise
